/*  This program reads in a file of integers and reports their average.
    Currently, the name of the file is "nums1.txt" and it must reside in the
    directory as the program.
    
    Assumes:  there is a number on the first line of the file saying how many data
    items are in the file.
  
    written by Scott McElfresh

 */

import java.io.*;  // for file I/O

public class Application 
{      
    public static void main(String[] args) throws IOException
	{  
	   String Filename = "nums1.txt";
	   
	    
	   FileReader textfile = new FileReader(Filename);
	   BufferedReader datafile = new BufferedReader(textfile);
	   
	   String totalString = datafile.readLine();
	   int howmanyTotal = Integer.parseInt(totalString);
	   
	   int sum = 0;  // the sum of the numbers entered so far

	   for (int count = 0; count <  howmanyTotal; count ++)
       {
       	   String numString = datafile.readLine();
	       int num = Integer.parseInt(numString);

	       sum = sum + num;
	   }


	   System.out.println ("\nThe average is: " + (sum / howmanyTotal));
	   
	   datafile.close();  // be a good citizen and close the file
	}

	 
}
